class ExcelFileError(Exception):
    """Exception raised for error in the input Excel File.

    Attributes:
        file -- input Excel file
    """

    def __init__(self, file, message="El archivo no es valido"):
        self.file = file
        self.message = message
        super().__init__(self.message)

    def __str__(self):
        return f'{self.file} -> {self.message}'


class SolverNotFoundError(Exception):
    """Exception raised if solver not found.

    """

    def __init__(self, message="No se encontró el solver en el PATH"):
        self.message = message
        super().__init__(self.message)

    def __str__(self):
        return self.message
